# Class CIM_SwitchPortSourceRouting
extends CIM_ServiceSAPDependency

A switch capable of source routing maintains source-routing specific information about each port. This association represents that information.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceSAPDependency
|
+--CIM_SwitchPortSourceRouting

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A switch capable of source routing maintains source-routing specific information about each port. This association represents that information.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BridgeNum | uint16 |
Description | string | A bridge number uniquely identifies a bridge when more than one bridge is used to span the same two segments. Current source routing protocols limit this value to the range: 0 through 15. A value of 65535 signifies that no bridge number is assigned to this bridge.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortBridgeNum
HopCount | uint16 |
Description | string | The maximum number of routing descriptors allowed in an All Paths or Spanning Tree Explorer frames.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortHopCount
LocalSegment | uint16 |
Description | string | The segment number that uniquely identifies the segment to which this port is connected. Current source routing protocols limit this value to the range: 0 through 4095. (The value 0 is used by some management applications for special test cases.) A value of 65535 signifies that no segment number is assigned to this port.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortLocalSegment
STESpanMode | uint16 |

Description

string

Determines how the port behaves when presented with a Spanning Tree Explorer frame. The value 'disabled(2)' indicates that the port will not accept or send Spanning Tree Explorer packets; any STE packets received will be silently discarded. The value 'forced(3)' indicates the port will always accept and propagate Spanning Tree Explorer frames. (This allows a manually configured Spanning Tree for this class of packet to be configured.) Note that unlike transparent bridging, it is not catastrophic to the network if there are loops. The value 'auto-span(1)' can only be returned by a bridge that both implements the Spanning Tree Protocol and has use of the protocol enabled on this port. The behavior of the port for Spanning Tree Explorer frames is determined by the value of the State property of the SwitchPortSpanningTree association for the port. If the port is in the 'forwarding' state, the frame will be accepted or propagated. Otherwise, it will be silently discarded.

MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortSTESpanMod
ModelCorrespondence | string | CIM_SwitchPortSpanningTree.State
ValueMap | string | 1, 2, 3
Values | string | Auto-Span, Disabled, Forced
TargetSegment | uint16 |
Description | string | The segment number that corresponds to the target segment to which this port is considered connected. Current source routing protocols limit this value to the range: 0 through 4095. (The value 0 is used by some management applications for special test cases.) A value of 65535 signifies that no target segment is assigned to this port.
MappingStrings | string | MIB.IETF|SOURCE-ROUTING-MIB.dot1dSrPortTargetSegment

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SwitchPortSourceRouting | CIM_SwitchPort
Dependent | CIM_SwitchPortSourceRouting | CIM_SourceRoutingService

## Class Methods